ClassResolver.Stream (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.util

## Class ClassResolver.Stream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - com.sleepycat.util.ClassResolver.Stream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataInput`, `java.io.ObjectInput`, `java.io.ObjectStreamConstants`, `java.lang.AutoCloseable`
  Direct Known Subclasses:
    `SerialInput`
  Enclosing class:
    ClassResolver

      public static class ClassResolver.Stream
      extends java.io.ObjectInputStream

  A specialized ObjectInputStream that supports use of a user-specified ClassLoader. If the loader param and thread-context loader are both null, of if they throw ClassNotFoundException, then ObjectInputStream.resolveClass is called, which has its own special rules for class loading.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `java.io.ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, SERIAL_FILTER_PERMISSION, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Stream​(java.io.InputStream in, java.lang.ClassLoader classLoader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Class` | `resolveClass​(java.io.ObjectStreamClass desc)` |

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, close, defaultReadObject, enableResolveObject, getObjectInputFilter, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, setObjectInputFilter, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### Stream

          public Stream​(java.io.InputStream in,
                        java.lang.ClassLoader classLoader)
                 throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### resolveClass

          protected java.lang.Class resolveClass​(java.io.ObjectStreamClass desc)
                                          throws java.io.IOException,
                                                 java.lang.ClassNotFoundException

      Overrides:
        `resolveClass` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.